Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class PersistableMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              org.jivesoftware.util.PersistableMap<K,V>

Type Parameters:
  `K` - key. see `Map`
  `V` - value. see `Map`

All Implemented Interfaces:
  Serializable, Cloneable, Map<K,V>

Direct Known Subclasses:
  DefaultGroupPropertyMap

    public abstract class PersistableMap<K,V>

extends HashMap<K,V>

This acts as a tag interface. It has no functionality, but it serves to make more clear the intention to pass around a special type of map.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`PersistableMap()`

Method Summary
`abstract V` | `put(K key, V value, boolean persist)` Custom method to put properties into the map, optionally without triggering persistence.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### PersistableMap

    public PersistableMap()

Method Detail

### put

    public abstract V put(K key,
                          V value,
                          boolean persist)

  Custom method to put properties into the map, optionally without triggering persistence. This is used when the map is being initially loaded from the database.

  Parameters:
    `key` - The property name
    `value` - The property value
    `persist` - True if the changes should be persisted to the database
  Returns:
    The original value or null if the property did not exist

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.